<!DOCTYPE html>
<!--
flex에 대해 정리된 글
준내 잘 정리되어 있음
https://studiomeal.com/archives/197
-->



<!--
반응형 웹? pc, tv, 네비게이션, 스마트 기기 등 기기마다 또는 환경마다 최적화된 웹사이트를 제공해주는 기능이다.

미디어쿼리(media queries)란 접속하는 디바이스나 뷰포트에 따라 특정 CSS스타일을 사용하는 방법이다.
뷰포트는 모니터나 기기의 화면을 통해 보이는 영역을 뜻하기도 한다.
뷰포트(viewport)는 화면에 보이는 영역을 제어하는 기술로, 미디어 쿼리로 수많은 기기의 화면 크기를 감지애햐할때 사용한다.
기기의 보이는 영역을 기기의 실제 화면 크기로 변경하여 미디어 쿼리가 기기의 화면 크기를 정확하게 감지할 수 있도록 하기 위해서 
뷰포트라는 기술을 이용한다.

미디어쿼리문법
@media 키워드를 사용해 특정 미디어(디바이스)에서 어떤 CSS를 적용할 것인지 지정한다. 이때 그 특정 구간을 중단점(breakpoint)라고 한다.

플렉서블 박스(Flexible Box)란  가변적인 박스를 만드는 기술이며 웹사이트의 구조 설계를 한다.
 -->
<html>
<head>
<meta charset="UTF-8">
<title>Insert title here</title>

<meta name="viewport" content="width=device-width, initial-scale=1.0">

<style type="text/css">
.container {
	display: flex;
	height: 100vh;
	background-color: yellow;
	/* flex-direction: row;
	flex-wrap: wrap; /* 줄 넘김 */
	flex-flow: row wrap; /* 위의 주석과 같은 의미 */
	
	/* 컨텐츠가 배치되는 메인 축을 정함 */
	/* flex-start */
	/* space-between 자식 목록 사이에 공간을 만듬 */
	/* space-around 자식 목록 사이뿐만 아니라 양끝에도 공간을 넣는다. */
	justify-content: space-between;
	
	/* baseline 자식들이 '글자 밑줄' 기준으로 배치된다. */
	/* stretch 자식들이 메인축에 딱 붙어서 배치하고, 자식 사이에 공간을 넣는다. */
	
	/* align-items은 한줄 기준 정렬 */
	align-items: baseline;
	
	/* align-content은 전체 컨텐츠 기준 정렬 */
	align-content: center;
}

/*
media 타입은 device를 의미한다.
모든(all) 기기
*/
div.container div {
	border: 1px solid black;
	width: 70px;
	height: 70px;
}

div.container div:nth-of-type(1) {
	padding: 20px;
}
</style>
</head>
<body>
<div class="container">
	<div>1</div>
	<div>2</div>
	<div>3</div>
	<div>4</div>
	<div>5</div>
	<div>6</div>
	<div>7</div>
	<div>8</div>
	<div>9</div>
	<div>10</div>
</div>
</body>
</html>